<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SCUART Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">SCUART Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/d38/group___n_a_n_o1_x2___s_c_u_a_r_t___driver.html">SCUART Driver</a> &raquo; <a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">SCUART Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for SCUART Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#adf_2dae_2group______n__a__n__o1__x2______s__c__u__a__r__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd0a4f5138328de77a59dc96d1fd6b05">SCUART_WRITE</a>(sc,  u8Data)</td></tr>
<tr class="memdesc:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write Data to Tx data register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd0a4f5138328de77a59dc96d1fd6b05">More...</a><br /></td></tr>
<tr class="separator:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee1abdee3061becc4f947c7ec8ba89ad">SCUART_GET_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TX FIFO empty flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee1abdee3061becc4f947c7ec8ba89ad">More...</a><br /></td></tr>
<tr class="separator:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga156dbf7f35a69e25f2115822fccfa717"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga156dbf7f35a69e25f2115822fccfa717">SCUART_GET_TX_FULL</a>(sc)</td></tr>
<tr class="memdesc:ga156dbf7f35a69e25f2115822fccfa717"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TX FIFO full flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga156dbf7f35a69e25f2115822fccfa717">More...</a><br /></td></tr>
<tr class="separator:ga156dbf7f35a69e25f2115822fccfa717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade9c698ba0339eb2d33e55dfc0a10b34">SCUART_WAIT_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait specified smartcard port transmission complete.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade9c698ba0339eb2d33e55dfc0a10b34">More...</a><br /></td></tr>
<tr class="separator:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ba407cb923c42d48d2a15de2eff42cb">SCUART_IS_TX_FULL</a>(sc)</td></tr>
<tr class="memdesc:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port transmit FIFO is full or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ba407cb923c42d48d2a15de2eff42cb">More...</a><br /></td></tr>
<tr class="separator:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04534a2a36ecf8daa392db3fa859f24b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04534a2a36ecf8daa392db3fa859f24b">SCUART_IS_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:ga04534a2a36ecf8daa392db3fa859f24b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port transmission is over.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04534a2a36ecf8daa392db3fa859f24b">More...</a><br /></td></tr>
<tr class="separator:ga04534a2a36ecf8daa392db3fa859f24b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88bae72589f1b3169b6f44141624547a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88bae72589f1b3169b6f44141624547a">SCUART_READ</a>(sc)</td></tr>
<tr class="memdesc:ga88bae72589f1b3169b6f44141624547a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read Rx data register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88bae72589f1b3169b6f44141624547a">More...</a><br /></td></tr>
<tr class="separator:ga88bae72589f1b3169b6f44141624547a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ca8f849e3eaeb01f952b6cb1dbe1541">SCUART_GET_RX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RX FIFO empty flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ca8f849e3eaeb01f952b6cb1dbe1541">More...</a><br /></td></tr>
<tr class="separator:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2d24494fa612e242b2ea2a60ee68be4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae2d24494fa612e242b2ea2a60ee68be4">SCUART_GET_RX_FULL</a>(sc)</td></tr>
<tr class="memdesc:gae2d24494fa612e242b2ea2a60ee68be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RX FIFO full flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae2d24494fa612e242b2ea2a60ee68be4">More...</a><br /></td></tr>
<tr class="separator:gae2d24494fa612e242b2ea2a60ee68be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacb5fa124fb760f55f2a665ebf8c0adec">SCUART_IS_RX_READY</a>(sc)</td></tr>
<tr class="memdesc:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if receive data number in FIFO reach FIFO trigger level or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacb5fa124fb760f55f2a665ebf8c0adec">More...</a><br /></td></tr>
<tr class="separator:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabed93c507f065541101aadad083ad977"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabed93c507f065541101aadad083ad977">SCUART_IS_RX_FULL</a>(sc)</td></tr>
<tr class="memdesc:gabed93c507f065541101aadad083ad977"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port receive FIFO is full or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabed93c507f065541101aadad083ad977">More...</a><br /></td></tr>
<tr class="separator:gabed93c507f065541101aadad083ad977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">SCUART_ENABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable specified interrupts.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">More...</a><br /></td></tr>
<tr class="separator:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafbd3b2c2a7dc29e3531b3b8b92727847">SCUART_DISABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable specified interrupts.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafbd3b2c2a7dc29e3531b3b8b92727847">More...</a><br /></td></tr>
<tr class="separator:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade73e9b025ce19a926ddef7538c51bcf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade73e9b025ce19a926ddef7538c51bcf">SCUART_GET_INT_FLAG</a>(sc,  u32Type)</td></tr>
<tr class="memdesc:gade73e9b025ce19a926ddef7538c51bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get specified interrupt flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade73e9b025ce19a926ddef7538c51bcf">More...</a><br /></td></tr>
<tr class="separator:gade73e9b025ce19a926ddef7538c51bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9aeac7b35c41df81ad822b37b023f11"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9aeac7b35c41df81ad822b37b023f11">SCUART_CLR_INT_FLAG</a>(sc,  u32Type)</td></tr>
<tr class="memdesc:gaf9aeac7b35c41df81ad822b37b023f11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear specified interrupt flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9aeac7b35c41df81ad822b37b023f11">More...</a><br /></td></tr>
<tr class="separator:gaf9aeac7b35c41df81ad822b37b023f11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1734e7857902ed0f12467d7e6bfa9e3d">SCUART_GET_ERR_FLAG</a>(sc)</td></tr>
<tr class="memdesc:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get receive error flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1734e7857902ed0f12467d7e6bfa9e3d">More...</a><br /></td></tr>
<tr class="separator:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666f5152e172bb4c1cbd1dc4a06b0841">SCUART_CLR_ERR_FLAG</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear specified receive error flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666f5152e172bb4c1cbd1dc4a06b0841">More...</a><br /></td></tr>
<tr class="separator:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaee19cdbe4e45656a56c250577c1594c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">SCUART_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gaee19cdbe4e45656a56c250577c1594c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable smartcard interface UART mode.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">More...</a><br /></td></tr>
<tr class="separator:gaee19cdbe4e45656a56c250577c1594c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">SCUART_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gac5ef61f705cf44b678207aaecb2d8b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable smartcard module UART mode and set baudrate.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">More...</a><br /></td></tr>
<tr class="separator:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">SCUART_Read</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">More...</a><br /></td></tr>
<tr class="separator:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Baudrate, uint32_t u32DataWidth, uint32_t u32Parity, uint32_t u32StopBits)</td></tr>
<tr class="memdesc:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config smartcard UART mode line setting.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">More...</a><br /></td></tr>
<tr class="separator:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0023f5e961b902ed650fec7051b09f2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">SCUART_SetTimeoutCnt</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga0023f5e961b902ed650fec7051b09f2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set receive timeout count.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">More...</a><br /></td></tr>
<tr class="separator:ga0023f5e961b902ed650fec7051b09f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">SCUART_Write</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is to write data into transmit FIFO to send data out.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">More...</a><br /></td></tr>
<tr class="separator:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga666f5152e172bb4c1cbd1dc4a06b0841" name="ga666f5152e172bb4c1cbd1dc4a06b0841"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga666f5152e172bb4c1cbd1dc4a06b0841">&#9670;&nbsp;</a></span>SCUART_CLR_ERR_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CLR_ERR_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear specified receive error flag/status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Receive error flag/status to clear, combination following values<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#accf8c0361ccec8f1961826225ac5dd99">SC_TRSR_RX_EPA_F_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af15deea496d859e04cf124f3842df19b">SC_TRSR_RX_EFR_F_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a1d0e686e92ad0a6a4dc5b7cd788c2cc1">SC_TRSR_RX_EBR_F_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00240">240</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gaf9aeac7b35c41df81ad822b37b023f11" name="gaf9aeac7b35c41df81ad822b37b023f11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf9aeac7b35c41df81ad822b37b023f11">&#9670;&nbsp;</a></span>SCUART_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Type&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear specified interrupt flag/status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Type</td><td>Interrupt flag/status to clear, could be the combination of following values<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a942bd1b370712a8d425454b5bee29483">SC_ISR_RTMR_IS_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a477a829b52ba57c994c5aac50d7fd812">SC_ISR_TERR_IS_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a1b55669064effb88b894174b79442448">SC_ISR_TBE_IS_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00217">217</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gafbd3b2c2a7dc29e3531b3b8b92727847" name="gafbd3b2c2a7dc29e3531b3b8b92727847"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafbd3b2c2a7dc29e3531b3b8b92727847">&#9670;&nbsp;</a></span>SCUART_DISABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_DISABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable specified interrupts. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt masks to disable, a combination of following bits<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7914eb8dfb422a1776d836aac54e6aa9">SC_IER_RTMR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3c102581dad93fcd7d2df026af25d2af">SC_IER_TBE_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00190">190</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga0732a8dc945c1bd0c4fd5bd6cdc0961f" name="ga0732a8dc945c1bd0c4fd5bd6cdc0961f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">&#9670;&nbsp;</a></span>SCUART_ENABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_ENABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable specified interrupts. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt masks to enable, a combination of following bits<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7914eb8dfb422a1776d836aac54e6aa9">SC_IER_RTMR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3c102581dad93fcd7d2df026af25d2af">SC_IER_TBE_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00177">177</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga1734e7857902ed0f12467d7e6bfa9e3d" name="ga1734e7857902ed0f12467d7e6bfa9e3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1734e7857902ed0f12467d7e6bfa9e3d">&#9670;&nbsp;</a></span>SCUART_GET_ERR_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_ERR_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get receive error flag/status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Current receive error status, could one of following errors: </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">SC_TRSR_RX_EPA_F_Msk</td><td>Parity error </td></tr>
    <tr><td class="paramname">SC_TRSR_RX_EFR_F_Msk</td><td>Frame error </td></tr>
    <tr><td class="paramname">SC_TRSR_RX_EBR_F_Msk</td><td>Break error </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00228">228</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gade73e9b025ce19a926ddef7538c51bcf" name="gade73e9b025ce19a926ddef7538c51bcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gade73e9b025ce19a926ddef7538c51bcf">&#9670;&nbsp;</a></span>SCUART_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Type&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get specified interrupt flag/status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Type</td><td>Interrupt flag/status to check, could be one of following value<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a942bd1b370712a8d425454b5bee29483">SC_ISR_RTMR_IS_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a477a829b52ba57c994c5aac50d7fd812">SC_ISR_TERR_IS_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a1b55669064effb88b894174b79442448">SC_ISR_TBE_IS_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a535ec8aab038b0e9469a7b74f1bf97ec">SC_ISR_RDA_IS_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status of specified interrupt </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Specified interrupt does not happened </td></tr>
    <tr><td class="paramname">1</td><td>Specified interrupt happened </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00205">205</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga1ca8f849e3eaeb01f952b6cb1dbe1541" name="ga1ca8f849e3eaeb01f952b6cb1dbe1541"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1ca8f849e3eaeb01f952b6cb1dbe1541">&#9670;&nbsp;</a></span>SCUART_GET_RX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_RX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get RX FIFO empty flag status from register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Receive FIFO empty status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Receive FIFO is not empty </td></tr>
    <tr><td class="paramname">SC_TRSR_RX_EMPTY_F_Msk</td><td>Receive FIFO is empty </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00130">130</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gae2d24494fa612e242b2ea2a60ee68be4" name="gae2d24494fa612e242b2ea2a60ee68be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae2d24494fa612e242b2ea2a60ee68be4">&#9670;&nbsp;</a></span>SCUART_GET_RX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_RX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get RX FIFO full flag status from register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Receive FIFO full status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Receive FIFO is not full </td></tr>
    <tr><td class="paramname">SC_TRSR_TX_FULL_F_Msk</td><td>Receive FIFO is full </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00141">141</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gaee1abdee3061becc4f947c7ec8ba89ad" name="gaee1abdee3061becc4f947c7ec8ba89ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaee1abdee3061becc4f947c7ec8ba89ad">&#9670;&nbsp;</a></span>SCUART_GET_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get TX FIFO empty flag status from register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Transmit FIFO empty status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Transmit FIFO is not empty </td></tr>
    <tr><td class="paramname">SC_TRSR_TX_EMPTY_F_Msk</td><td>Transmit FIFO is empty </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00070">70</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga156dbf7f35a69e25f2115822fccfa717" name="ga156dbf7f35a69e25f2115822fccfa717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga156dbf7f35a69e25f2115822fccfa717">&#9670;&nbsp;</a></span>SCUART_GET_TX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_GET_TX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get TX FIFO full flag status from register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Transmit FIFO full status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Transmit FIFO is not full </td></tr>
    <tr><td class="paramname">SC_TRSR_TX_FULL_F_Msk</td><td>Transmit FIFO is full </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00080">80</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gabed93c507f065541101aadad083ad977" name="gabed93c507f065541101aadad083ad977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabed93c507f065541101aadad083ad977">&#9670;&nbsp;</a></span>SCUART_IS_RX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_IS_RX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check specified smartcard port receive FIFO is full or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Receive FIFO full status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Receive FIFO is not full </td></tr>
    <tr><td class="paramname">1</td><td>Receive FIFO is full </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00162">162</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gacb5fa124fb760f55f2a665ebf8c0adec" name="gacb5fa124fb760f55f2a665ebf8c0adec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacb5fa124fb760f55f2a665ebf8c0adec">&#9670;&nbsp;</a></span>SCUART_IS_RX_READY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_IS_RX_READY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if receive data number in FIFO reach FIFO trigger level or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Receive FIFO data status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>The number of bytes in receive FIFO is less than trigger level </td></tr>
    <tr><td class="paramname">1</td><td>The number of bytes in receive FIFO equals or larger than trigger level </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>If receive trigger level is <b>not</b> 1 byte, this macro return 0 does not necessary indicates there is no data in FIFO </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00152">152</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga04534a2a36ecf8daa392db3fa859f24b" name="ga04534a2a36ecf8daa392db3fa859f24b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga04534a2a36ecf8daa392db3fa859f24b">&#9670;&nbsp;</a></span>SCUART_IS_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_IS_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check specified smartcard port transmission is over. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Transmit complete status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Transmit is not complete </td></tr>
    <tr><td class="paramname">1</td><td>Transmit complete </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00109">109</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga2ba407cb923c42d48d2a15de2eff42cb" name="ga2ba407cb923c42d48d2a15de2eff42cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2ba407cb923c42d48d2a15de2eff42cb">&#9670;&nbsp;</a></span>SCUART_IS_TX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_IS_TX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check specified smartcard port transmit FIFO is full or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Transmit FIFO full status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Transmit FIFO is not full </td></tr>
    <tr><td class="paramname">1</td><td>Transmit FIFO is full </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00099">99</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga88bae72589f1b3169b6f44141624547a" name="ga88bae72589f1b3169b6f44141624547a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga88bae72589f1b3169b6f44141624547a">&#9670;&nbsp;</a></span>SCUART_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_READ</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read Rx data register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The oldest data byte in RX FIFO </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00120">120</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gade9c698ba0339eb2d33e55dfc0a10b34" name="gade9c698ba0339eb2d33e55dfc0a10b34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gade9c698ba0339eb2d33e55dfc0a10b34">&#9670;&nbsp;</a></span>SCUART_WAIT_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_WAIT_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Wait specified smartcard port transmission complete. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This Macro blocks until transmit complete. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00089">89</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gadd0a4f5138328de77a59dc96d1fd6b05" name="gadd0a4f5138328de77a59dc96d1fd6b05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadd0a4f5138328de77a59dc96d1fd6b05">&#9670;&nbsp;</a></span>SCUART_WRITE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_WRITE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u8Data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write Data to Tx data register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Data</td><td>Data byte to transmit </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00060">60</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gaee19cdbe4e45656a56c250577c1594c7" name="gaee19cdbe4e45656a56c250577c1594c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaee19cdbe4e45656a56c250577c1594c7">&#9670;&nbsp;</a></span>SCUART_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SCUART_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable smartcard interface UART mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00032">32</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
<a id="gac5ef61f705cf44b678207aaecb2d8b35" name="gac5ef61f705cf44b678207aaecb2d8b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac5ef61f705cf44b678207aaecb2d8b35">&#9670;&nbsp;</a></span>SCUART_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HIDDEN_SYMBOLS uint32_t SCUART_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32baudrate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to enable smartcard module UART mode and set baudrate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32baudrate</td><td>Target baudrate of smartcard module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual baudrate of smartcard mode</dd></dl>
<p>This function configures character width to 8 bits, 1 stop bit, and no parity. And can use <a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a> function to update these settings The baudrate clock source comes from SC_CLK/SC_DIV, where SC_CLK is controlled by SC_S(CLKSEL2[19:18]) SC_DIV is controlled by SC0_N(CLKDIV0[31:28]), SC1_N(CLKDIV1[3:0]). Since the baudrate divider is 12-bit wide and must be larger than 4, (clock source / baudrate) must be larger or equal to 5 and smaller or equal to 4096. Otherwise this function cannot configure SCUART to work with target baudrate. </p>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00091">91</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
<a id="ga1b2ed639a9d9b3389a0252a3e0185ace" name="ga1b2ed639a9d9b3389a0252a3e0185ace"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1b2ed639a9d9b3389a0252a3e0185ace">&#9670;&nbsp;</a></span>SCUART_Read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SCUART_Read </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8RxBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ReadBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to read Rx data from RX FIFO. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pu8RxBuf</td><td>The buffer to store receive the data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ReadBytes</td><td>Target number of characters to receive </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual character number reads to buffer </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function does not block and return immediately if there's no data available </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00113">113</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
<a id="ga99195e1a1d2f0b780a9ec769c5a6825a" name="ga99195e1a1d2f0b780a9ec769c5a6825a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga99195e1a1d2f0b780a9ec769c5a6825a">&#9670;&nbsp;</a></span>SCUART_SetLineConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SCUART_SetLineConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DataWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Parity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32StopBits</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to config smartcard UART mode line setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Baudrate</td><td>Target baudrate of smartcard module. If this value is 0, UART baudrate will not change. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DataWidth</td><td>The data length, could be<ul>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga927460a86a8ed68229d40fc736eb251e">SCUART_CHAR_LEN_5</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3e1ba09b345b595b586d88e51d066ab">SCUART_CHAR_LEN_6</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a9c3dd4955ab26494e773c07d79652a">SCUART_CHAR_LEN_7</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga44414b8c1a7255a01135a0e19d4509cc">SCUART_CHAR_LEN_8</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Parity</td><td>The parity setting, could be<ul>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ba056464dc172c46a8c0def775d099c">SCUART_PARITY_NONE</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga78fd700049b5b8202a03a8bd57ed102f">SCUART_PARITY_ODD</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2989fb7bc931875fa232c75de71c4e55">SCUART_PARITY_EVEN</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32StopBits</td><td>The stop bit length, could be<ul>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cf4a4b7772b91908d7d50fd88b56b93">SCUART_STOP_BIT_1</a></li>
<li><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad4c40f7ebe7db0653beb72ae2c5a80f">SCUART_STOP_BIT_2</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual baudrate of smartcard</dd></dl>
<p>The baudrate clock source comes from SC_CLK/SC_DIV, where SC_CLK is controlled by SC_S(CLKSEL2[19:18]) SC_DIV is controlled by SC0_N(CLKDIV0[31:28]), and SC1_N(CLKDIV1[3:0]). Since the baudrate divider is 12-bit wide and must be larger than 4, (clock source / baudrate) must be larger or equal to 5 and smaller or equal to 4096. Otherwise this function cannot configure SCUART to work with target baudrate. </p>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00153">153</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
<a id="ga0023f5e961b902ed650fec7051b09f2b" name="ga0023f5e961b902ed650fec7051b09f2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0023f5e961b902ed650fec7051b09f2b">&#9670;&nbsp;</a></span>SCUART_SetTimeoutCnt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SCUART_SetTimeoutCnt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TOC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to set receive timeout count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TOC</td><td>Rx timeout counter, using baudrate as counter unit. Valid range are 0~0x1FF, set this value to 0 will disable timeout counter </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>The time-out counter resets and starts counting whenever the RX buffer received a new data word. Once the counter decrease to 1 and no new data is received or CPU does not read any data from FIFO, a receiver time-out interrupt will be generated. </p>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00184">184</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
<a id="ga275c62ae8ce1ccbd4be6dd52a7ee6144" name="ga275c62ae8ce1ccbd4be6dd52a7ee6144"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga275c62ae8ce1ccbd4be6dd52a7ee6144">&#9670;&nbsp;</a></span>SCUART_Write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SCUART_Write </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8TxBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32WriteBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is to write data into transmit FIFO to send data out. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>The base address of smartcard module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pu8TxBuf</td><td>The buffer containing data to send to transmit FIFO. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32WriteBytes</td><td>Number of data to send. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function blocks until all data write into FIFO </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d4a/scuart_8c_source.html#l00198">198</a> of file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
